Skip to main content
GET
/
v2
/
version
/v2/version
curl --request GET \
  --url https://api.example.com/v2/version \
  --header 'Authorization: Bearer <token>'
{
  "version": "<string>",
  "features": {
    "experimental": {
      "staticTime": {
        "supported": true
      },
      "commandInspectionService": {
        "supported": true
      }
    },
    "userManagement": {
      "supported": true,
      "maxRightsPerUser": 123,
      "maxUsersPageSize": 123
    },
    "partyManagement": {
      "maxPartiesPageSize": 123
    },
    "offsetCheckpoint": {
      "maxOffsetCheckpointEmissionDelay": {
        "seconds": 123,
        "nanos": 123,
        "unknownFields": {
          "fields": {}
        }
      }
    },
    "packageFeature": {
      "maxVettedPackagesPageSize": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Response

version
string
required

The version of the ledger API.

Required

features
FeaturesDescriptor · object
required

The features supported by this Ledger API endpoint.

Daml applications CAN use the feature descriptor on top of version constraints on the Ledger API version to determine whether a given Ledger API endpoint supports the features required to run the application.

See the feature descriptions themselves for the relation between Ledger API versions and feature presence.

Required